[Unit]
Description=Monitoring Stack (Icinga)
Requires=docker.service
After=docker.service

[Service]
Type=oneshot
WorkingDirectory=/opt/monitoring
RemainAfterExit=yes
ExecStart=/usr/bin/docker compose up -d
ExecStop=/usr/bin/docker compose down
TimeoutStartSec=0

[Install]
WantedBy=multi-user.target
